org.apache.hadoop.yarn.api.records

## Class ResourceBlacklistRequest

- java.lang.Object
- - org.apache.hadoop.yarn.api.records.ResourceBlacklistRequest

-     @InterfaceAudience.Public
       @InterfaceStability.Stable
      public abstract class ResourceBlacklistRequest
      extends Object

  `ResourceBlacklistRequest` encapsulates the list of resource-names which should be added or removed from the blacklist of resources for the application.
  See Also:
    `ResourceRequest`, `ApplicationMasterProtocol.allocate(org.apache.hadoop.yarn.api.protocolrecords.AllocateRequest)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceBlacklistRequest()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract List<String>` | `getBlacklistAdditions()` Get the list of resource-names which should be added to the application blacklist.
    `abstract List<String>` | `getBlacklistRemovals()` Get the list of resource-names which should be removed from the application blacklist.
    `static ResourceBlacklistRequest` | `newInstance(List<String> additions, List<String> removals)`
    `abstract void` | `setBlacklistAdditions(List<String> resourceNames)` Set list of resource-names which should be added to the application blacklist.
    `abstract void` | `setBlacklistRemovals(List<String> resourceNames)` Set list of resource-names which should be removed from the application blacklist.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceBlacklistRequest

          public ResourceBlacklistRequest()

  - ### Method Detail

    - #### newInstance

          @InterfaceAudience.Public
           @InterfaceStability.Stable
          public static ResourceBlacklistRequest newInstance(List<String> additions,
                                                                                                                   List<String> removals)

    - #### getBlacklistAdditions

          @InterfaceAudience.Public
           @InterfaceStability.Stable
          public abstract List<String> getBlacklistAdditions()

      Get the list of resource-names which should be added to the application blacklist.
      Returns:
        list of resource-names which should be added to the application blacklist

    - #### setBlacklistAdditions

          @InterfaceAudience.Public
           @InterfaceStability.Stable
          public abstract void setBlacklistAdditions(List<String> resourceNames)

      Set list of resource-names which should be added to the application blacklist.
      Parameters:
        `resourceNames` - list of resource-names which should be added to the application blacklist

    - #### getBlacklistRemovals

          @InterfaceAudience.Public
           @InterfaceStability.Stable
          public abstract List<String> getBlacklistRemovals()

      Get the list of resource-names which should be removed from the application blacklist.
      Returns:
        list of resource-names which should be removed from the application blacklist

    - #### setBlacklistRemovals

          @InterfaceAudience.Public
           @InterfaceStability.Stable
          public abstract void setBlacklistRemovals(List<String> resourceNames)

      Set list of resource-names which should be removed from the application blacklist.
      Parameters:
        `resourceNames` - list of resource-names which should be removed from the application blacklist

Copyright © 2022 Apache Software Foundation. All rights reserved.